package com.objis.demohibernate;

import org.hibernate.classic.Session;
import org.hibernate.Transaction;

import com.objis.demohibernate.simple.Formation;
import com.objis.demohibernate.simple.util.HibernateUtil;

public class DemoHibernate {

	public static void main(String[] args) {
		
		// 1 : Ouverture unit de travail hibernate
		Session session = HibernateUtil.getSessionFactory().openSession();
		
		// 2 : Ouverture transaction 
		Transaction tx = session.beginTransaction();
		
		// 3 : Instanciation Objet mtier
		Formation formation = new Formation("Hibernate");
		
		// 4 : Persistance Objet/Relationnel : cration d'un enregistrement en base
		Long formationId = (Long) session.save(formation);
		System.out.println("Cl primaire :" + formationId);
		
		// 5 : Fermeture transaction 
		tx.commit();
		
		// 6 : Fermeture unit de travail hibernate 
		session.close();
		
	}

}
